curl --location --request DELETE 'https://crawler.prod.judit.io/credentials' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"system_name": "PROJUDI TJGO - 1º grau",
"customer_key": "lawyer_01"
}'
{}
Credentials Vault
Credential Deletion
Delete the credential of a system for a customer_key. For the wildcard credential or a certificate, use system_name ”*”.
DELETE
/
credentials
curl --location --request DELETE 'https://crawler.prod.judit.io/credentials' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"system_name": "PROJUDI TJGO - 1º grau",
"customer_key": "lawyer_01"
}'
{}
string
required
System of the credential, exactly as registered. For the wildcard credential or a digital certificate, use
*.string
customer_key of the credential. If omitted, the default value * is used.curl --location --request DELETE 'https://crawler.prod.judit.io/credentials' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"system_name": "PROJUDI TJGO - 1º grau",
"customer_key": "lawyer_01"
}'
{}
Possible errors
Possible errors
| Code | HTTP | When it happens |
|---|---|---|
| Validation error | 400 | system_name is missing. |
SOURCE_NOT_FOUND | 404 | The system_name does not match any system in the vault. |
CREDENTIAL_NOT_FOUND | 404 | There is no credential for this system_name and customer_key combination. |
Was this page helpful?